Extending Qt Creator Manual | ExtraCompiler

Extending Qt Creator Manual 4.5.2

# ExtraCompiler Class

(ProjectExplorer::ExtraCompiler)

- List of all members, including inherited members

## Public Functions

| ExtraCompiler(const Project *project, const Utils::FileName &source, const Utils::FileNameList &targets, QObject *parent = nullptr)
| ~ExtraCompiler() override
QDateTime | compileTime() const
QByteArray | content(const Utils::FileName &file) const
void | forEachTarget(std::function<void( const Utils::FileName & ) > func)
const Project * | project() const
void | setCompileTime(const QDateTime &time)
void | setContent(const Utils::FileName &file, const QByteArray &content)
Utils::FileName | source() const
Utils::FileNameList | targets() const

## Signals

void | contentsChanged(const Utils::FileName &file)

## Static Public Members

QThreadPool * | extraCompilerThreadPool()

## Protected Functions

Utils::Environment | buildEnvironment() const
void | setCompileIssues(const QList<Task> &issues)

## Member Function Documentation

### ExtraCompiler::ExtraCompiler(const Project *project, const Utils::FileName &source, const Utils::FileNameList &targets, QObject *parent = nullptr)

Default constructs an instance of ExtraCompiler.

### ExtraCompiler::~ExtraCompiler()

Destroys the instance of ExtraCompiler.

### `[protected]` Utils::Environment ExtraCompiler::buildEnvironment() const

### QDateTime ExtraCompiler::compileTime() const

See also setCompileTime().

### QByteArray ExtraCompiler::content(const Utils::FileName &file) const

See also setContent().

### `[signal]` void ExtraCompiler::contentsChanged(const Utils::FileName &file)

### `[static]` QThreadPool *ExtraCompiler::extraCompilerThreadPool()

### void ExtraCompiler::forEachTarget(std::function<void( const Utils::FileName & ) > func)

### const Project *ExtraCompiler::project() const

### `[protected]` void ExtraCompiler::setCompileIssues(const QList<Task> &issues)

### void ExtraCompiler::setCompileTime(const QDateTime &time)

See also compileTime().

### void ExtraCompiler::setContent(const Utils::FileName &file, const QByteArray &content)

See also content().

### Utils::FileName ExtraCompiler::source() const

### Utils::FileNameList ExtraCompiler::targets() const